Skip to main content
GET
/
v2
/
telematics
/
analytics
/
overview
Get analytics overview
curl --request GET \
  --url https://api.catenatelematics.com/v2/telematics/analytics/overview \
  --header 'Authorization: Bearer <token>'
{
  "fleets": 123,
  "vehicles": 123,
  "drivers": 123,
  "trailers": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

fleet_ids
string<uuid>[] | null

Limit results to specific fleets using Catena's fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

Maximum array length: 100
fleet_refs
string[] | null

Limit results to specific fleets using your organization's fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

Maximum array length: 100
connection_id
string<uuid> | null

Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.

Response

Successful Response

Metrics for fleets, vehicles, drivers, and trailers.

fleets
integer
required

Current count of active fleets.

vehicles
integer
required

Current count of active vehicles.

drivers
integer
required

Current count of active drivers.

trailers
integer
required

Current count of active trailers.